Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1881664 (CVE-2020-15677) - CVE-2020-15677 Mozilla: Download origin spoofing via redirect
Summary: CVE-2020-15677 Mozilla: Download origin spoofing via redirect
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-15677
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1873379 1879267 1879268 1879269 1879270 1879271 1879272 1881389 1881390 1881391 1881392 1881393 1881394
Blocks: 1879265
TreeView+ depends on / blocked
 
Reported: 2020-09-22 20:38 UTC by msiddiqu
Modified: 2021-02-16 19:13 UTC (History)
4 users (show)

Fixed In Version: firefox 78.3, thunderbird 78.3
Doc Type: If docs needed, set a value
Doc Text:
The Mozilla Foundation Security Advisory describes this flaw as: By exploiting an Open Redirect vulnerability on a website, an attacker could have spoofed the site displayed in the download file dialog to show the original site (the one suffering from the open redirect) rather than the site the file was actually downloaded from.
Clone Of:
Environment:
Last Closed: 2020-09-24 14:41:15 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3832 0 None None None 2020-09-24 10:07:52 UTC
Red Hat Product Errata RHSA-2020:3833 0 None None None 2020-09-24 09:58:52 UTC
Red Hat Product Errata RHSA-2020:3834 0 None None None 2020-09-24 09:53:16 UTC
Red Hat Product Errata RHSA-2020:3835 0 None None None 2020-09-24 10:11:45 UTC
Red Hat Product Errata RHSA-2020:4080 0 None None None 2020-09-30 06:35:38 UTC
Red Hat Product Errata RHSA-2020:4155 0 None None None 2020-10-01 13:19:24 UTC
Red Hat Product Errata RHSA-2020:4156 0 None None None 2020-10-01 13:08:26 UTC
Red Hat Product Errata RHSA-2020:4157 0 None None None 2020-10-01 13:12:56 UTC
Red Hat Product Errata RHSA-2020:4158 0 None None None 2020-10-01 13:26:50 UTC
Red Hat Product Errata RHSA-2020:4163 0 None None None 2020-10-01 14:48:48 UTC

Description msiddiqu 2020-09-22 20:38:33 UTC
By exploiting an Open Redirect vulnerability on a website, an attacker could have spoofed the site displayed in the download file dialog to show the original site (the one suffering from the open redirect) rather than the site the file was actually downloaded from.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2020-43/#CVE-2020-15677

Comment 1 msiddiqu 2020-09-22 20:38:43 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Richard Thomas and Tom Chothia (University of Birmingham)

Comment 6 errata-xmlrpc 2020-09-24 09:53:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:3834 https://access.redhat.com/errata/RHSA-2020:3834

Comment 7 errata-xmlrpc 2020-09-24 09:58:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:3833 https://access.redhat.com/errata/RHSA-2020:3833

Comment 8 errata-xmlrpc 2020-09-24 10:07:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:3832 https://access.redhat.com/errata/RHSA-2020:3832

Comment 9 errata-xmlrpc 2020-09-24 10:11:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:3835 https://access.redhat.com/errata/RHSA-2020:3835

Comment 10 Product Security DevOps Team 2020-09-24 14:41:15 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-15677

Comment 16 errata-xmlrpc 2020-09-30 06:35:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4080 https://access.redhat.com/errata/RHSA-2020:4080

Comment 32 errata-xmlrpc 2020-10-01 13:08:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:4156 https://access.redhat.com/errata/RHSA-2020:4156

Comment 33 errata-xmlrpc 2020-10-01 13:12:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:4157 https://access.redhat.com/errata/RHSA-2020:4157

Comment 34 errata-xmlrpc 2020-10-01 13:19:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4155 https://access.redhat.com/errata/RHSA-2020:4155

Comment 35 errata-xmlrpc 2020-10-01 13:26:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:4158 https://access.redhat.com/errata/RHSA-2020:4158

Comment 36 errata-xmlrpc 2020-10-01 14:48:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4163 https://access.redhat.com/errata/RHSA-2020:4163


Note You need to log in before you can comment on or make changes to this bug.